Package it.ernytech.tdlib

## Class TdApi.SetRecoveryEmailAddress

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetRecoveryEmailAddress

Enclosing class:
  TdApi

    public static class TdApi.SetRecoveryEmailAddress
    extends TdApi.Function

Changes the recovery email address of the user. If a new recovery email address is specified, then the error EMAILUNCONFIRMED is returned and the email address will not be changed until the new email has been confirmed. The application should periodically call getPasswordState to check whether the email address has been confirmed. If newRecoveryEmailAddress is the same as the email address that is currently set up, this call succeeds immediately and aborts all other requests waiting for an email confirmation.

Returns `PasswordState`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `newRecoveryEmailAddress` New recovery email address.
`java.lang.String` `password` Password of the current user.

### Constructor Summary

Constructors
`SetRecoveryEmailAddress()` Default constructor.
`SetRecoveryEmailAddress​(java.lang.String password, java.lang.String newRecoveryEmailAddress)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### password

    public java.lang.String password

Password of the current user.

#### newRecoveryEmailAddress

    public java.lang.String newRecoveryEmailAddress

New recovery email address.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetRecoveryEmailAddress

    public SetRecoveryEmailAddress()

Default constructor.

#### SetRecoveryEmailAddress

    public SetRecoveryEmailAddress​(java.lang.String password,
                                   java.lang.String newRecoveryEmailAddress)

Constructor for initialization of all fields.

Parameters:
  `password` - Password of the current user.
  `newRecoveryEmailAddress` - New recovery email address.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR